# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.5)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6...3.17)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget VexCL::Common VexCL::OpenCL VexCL::Compute VexCL::JIT)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target VexCL::Common
add_library(VexCL::Common INTERFACE IMPORTED)

set_target_properties(VexCL::Common PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "\$<\$<CXX_COMPILER_ID:MSVC>:NOMINMAX>;\$<\$<CXX_COMPILER_ID:MSVC>:_VARIADIC_MAX=10>"
  INTERFACE_COMPILE_OPTIONS "\$<\$<CXX_COMPILER_ID:GNU>:-std=c++0x>;\$<\$<CXX_COMPILER_ID:GNU>:>;\$<\$<CXX_COMPILER_ID:GNU>:-Wno-missing-braces>;\$<\$<CXX_COMPILER_ID:GNU>:-Wno-deprecated-declarations>;\$<\$<CXX_COMPILER_ID:GNU>:-Wno-ignored-attributes>;\$<\$<CXX_COMPILER_ID:GNU>:-Wno-unused-local-typedefs>;\$<\$<CXX_COMPILER_ID:Clang>:-std=c++0x>;\$<\$<CXX_COMPILER_ID:Clang>:>;\$<\$<CXX_COMPILER_ID:Clang>:-Wno-missing-braces>;\$<\$<CXX_COMPILER_ID:Clang>:-Wno-deprecated-declarations>;\$<\$<CXX_COMPILER_ID:Clang>:-Wno-ignored-attributes>;\$<\$<CXX_COMPILER_ID:MSVC>:/bigobj>;\$<\$<CXX_COMPILER_ID:MSVC>:/wd4003>;\$<\$<CXX_COMPILER_ID:MSVC>:/wd4996>"
  INTERFACE_INCLUDE_DIRECTORIES "/usr/local/include;${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "/usr/local/lib/libboost_filesystem.so;/usr/local/lib/libboost_system.so;/usr/local/lib/libboost_thread.so"
)

# Create imported target VexCL::OpenCL
add_library(VexCL::OpenCL INTERFACE IMPORTED)

set_target_properties(VexCL::OpenCL PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "VEXCL_BACKEND_OPENCL"
  INTERFACE_INCLUDE_DIRECTORIES "/usr/local/include"
  INTERFACE_LINK_LIBRARIES "VexCL::Common;/usr/local/lib/libOpenCL.so"
)

# Create imported target VexCL::Compute
add_library(VexCL::Compute INTERFACE IMPORTED)

set_target_properties(VexCL::Compute PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "VEXCL_BACKEND_COMPUTE"
  INTERFACE_INCLUDE_DIRECTORIES "/usr/local/include"
  INTERFACE_LINK_LIBRARIES "VexCL::Common;/usr/local/lib/libOpenCL.so"
)

# Create imported target VexCL::JIT
add_library(VexCL::JIT INTERFACE IMPORTED)

set_target_properties(VexCL::JIT PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "VEXCL_BACKEND_JIT"
  INTERFACE_COMPILE_OPTIONS "-fopenmp"
  INTERFACE_LINK_LIBRARIES "VexCL::Common;\$<\$<CXX_COMPILER_ID:GNU>:-fopenmp;dl>;\$<\$<CXX_COMPILER_ID:Clang>:-fopenmp;dl>;\$<\$<CXX_COMPILER_ID:Intel>:-fopenmp;dl>"
)

if(CMAKE_VERSION VERSION_LESS 3.0.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.0.0 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/VexCLTargets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
